Register for the iXsystems Community to get an ad-free experience and exclusive discounts in our eBay Store.

RuntimeError: Stopped emby due to VNET failure

eseanq

Neophyte
Joined
Mar 25, 2019
Messages
6
I came across this post here: POST, but didn't want to get too offtopic with it so I'm making a new thread with my specs/output. I'm fairly new to FreeNAS so I hope this is an easy fix..


OS Version:
FreeNAS-11.2-U2.1
(Build Date: Feb 27, 2019 20:59)


I tried adding, and then removing some mount points on my Emby plugin Jail, and upon starting it back up I go the VNET runtime error.

Below is the output for the jail I want to restart
Code:
[root@FreeNAS ~]# iocage fstab -l emby
+-------+------------------------------------------------------------------------------------------+
| INDEX |                                       FSTAB ENTRY                   |
+=======+==========================================================================================+
| 0     | /mnt/iocage/releases/11.2-RELEASE/root/bin /mnt/iocage/jails/emby/root/bin nullfs ro 0 0 |
+-------+------------------------------------------------------------------------------------------+
| 1     | /mnt/Pool1 /mnt/iocage/jails/emby/root/media/Movies nullfs rw 0 0                   |
+-------+------------------------------------------------------------------------------------------+
| 2     | /mnt/TV-Shows /mnt/iocage/jails/emby/root/media/TV-Shows nullfs rw 0 0                   |
+-------+------------------------------------------------------------------------------------------+



A temporary jail:
Code:
[root@FreeNAS ~]# iocage fstab -l emby_2
+-------+------------------------------------------------------------------------------------------------------------+
| INDEX |                                                FSTAB ENTRY                                     |
+=======+============================================================================================================+
| 0     | /mnt/iocage/releases/11.2-RELEASE/root/bin /mnt/iocage/jails/emby_2/root/bin nullfs ro 0 0                 |
+-------+------------------------------------------------------------------------------------------------------------+
| 1     | /mnt/iocage/releases/11.2-RELEASE/root/boot /mnt/iocage/jails/emby_2/root/boot nullfs ro 0 0               |
+-------+------------------------------------------------------------------------------------------------------------+
| 2     | /mnt/iocage/releases/11.2-RELEASE/root/lib /mnt/iocage/jails/emby_2/root/lib nullfs ro 0 0                 |
+-------+------------------------------------------------------------------------------------------------------------+
| 3     | /mnt/iocage/releases/11.2-RELEASE/root/libexec /mnt/iocage/jails/emby_2/root/libexec nullfs ro 0 0         |
+-------+------------------------------------------------------------------------------------------------------------+
| 4     | /mnt/iocage/releases/11.2-RELEASE/root/rescue /mnt/iocage/jails/emby_2/root/rescue nullfs ro 0 0           |
+-------+------------------------------------------------------------------------------------------------------------+
| 5     | /mnt/iocage/releases/11.2-RELEASE/root/sbin /mnt/iocage/jails/emby_2/root/sbin nullfs ro 0 0               |
+-------+------------------------------------------------------------------------------------------------------------+
| 6     | /mnt/iocage/releases/11.2-RELEASE/root/usr/bin /mnt/iocage/jails/emby_2/root/usr/bin nullfs ro 0 0         |
+-------+------------------------------------------------------------------------------------------------------------+
| 7     | /mnt/iocage/releases/11.2-RELEASE/root/usr/include /mnt/iocage/jails/emby_2/root/usr/include nullfs ro 0 0 |
+-------+------------------------------------------------------------------------------------------------------------+
| 8     | /mnt/iocage/releases/11.2-RELEASE/root/usr/lib /mnt/iocage/jails/emby_2/root/usr/lib nullfs ro 0 0         |
+-------+------------------------------------------------------------------------------------------------------------+
| 9     | /mnt/iocage/releases/11.2-RELEASE/root/usr/libexec /mnt/iocage/jails/emby_2/root/usr/libexec nullfs ro 0 0 |
+-------+------------------------------------------------------------------------------------------------------------+
| 10    | /mnt/iocage/releases/11.2-RELEASE/root/usr/sbin /mnt/iocage/jails/emby_2/root/usr/sbin nullfs ro 0 0       |
+-------+------------------------------------------------------------------------------------------------------------+
| 11    | /mnt/iocage/releases/11.2-RELEASE/root/usr/share /mnt/iocage/jails/emby_2/root/usr/share nullfs ro 0 0     |
+-------+------------------------------------------------------------------------------------------------------------+
| 12    | /mnt/iocage/releases/11.2-RELEASE/root/usr/libdata /mnt/iocage/jails/emby_2/root/usr/libdata nullfs ro 0 0 |
+-------+------------------------------------------------------------------------------------------------------------+
| 13    | /mnt/iocage/releases/11.2-RELEASE/root/usr/lib32 /mnt/iocage/jails/emby_2/root/usr/lib32 nullfs ro 0 0     |
+-------+------------------------------------------------------------------------------------------------------------+
| 14    | /mnt/Pool1 /mnt/iocage/jails/emby_2/root/media nullfs rw 0 0                                     |
+-------+------------------------------------------------------------------------------------------------------------+

Entry 14 is the only mount point I actually specified

Any tips? I'd like to get this up & running again without having to re-create everything.
 
D

dlavigne

Guest
Were you able to resolve this? If not, does updating to U3 resolve the issue?
 

eseanq

Neophyte
Joined
Mar 25, 2019
Messages
6
I wasn't able to, no. Also tried updating to U3 and that didn't work either. Decided to start over.
 

eseanq

Neophyte
Joined
Mar 25, 2019
Messages
6
I just had this happen again after adding a mount point.

I had two, added a third, and when starting the jail back up i got the vnet error. When checking the mount points they're all gone

Code:
Error: concurrent.futures.process._RemoteTraceback:
"""
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in _process_worker
    r = call_item.fn(*call_item.args, **call_item.kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 128, in main_worker
    res = loop.run_until_complete(coro)
  File "/usr/local/lib/python3.6/asyncio/base_events.py", line 468, in run_until_complete
    return future.result()
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 88, in _run
    return await self._call(f'{service_name}.{method}', serviceobj, methodobj, params=args, job=job)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 81, in _call
    return methodobj(*params)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 81, in _call
    return methodobj(*params)
  File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 668, in nf
    return f(*args, **kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 609, in start
    iocage.start()
  File "/usr/local/lib/python3.6/site-packages/iocage_lib/iocage.py", line 1663, in start
    callback=self.callback
  File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_start.py", line 66, in __init__
    self.__start_jail__()
  File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_start.py", line 491, in __start_jail__
    _callback=self.callback)
  File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_common.py", line 90, in logit
    _callback(content, exception)
  File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_common.py", line 64, in callback
    raise callback_exception(message)
RuntimeError:
Stopped emby due to VNET failure
"""

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 165, in call_method
    result = await self.middleware.call_method(self, message)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1141, in call_method
    return await self._call(message['method'], serviceobj, methodobj, params, app=app, io_thread=False)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1078, in _call
    return await self._call_worker(serviceobj, name, *args)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1105, in _call_worker
    job,
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1036, in run_in_proc
    return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1021, in run_in_executor
    return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
RuntimeError:
Stopped emby due to VNET failure
 

Marenz

Neophyte
Joined
May 1, 2019
Messages
5
I have pretty much the same problem, except that I don't see all those system mount points in my temporary jail.
I am running

FreeNAS-11.2-U4
(Build Date: May 7, 2019 0:46)
 

Marenz

Neophyte
Joined
May 1, 2019
Messages
5
Bit of more info. When I manually start the jail:

root@freenas[/mnt/lucky/iocage/jails]# iocage start airsonic
* Starting airsonic
+ Started OK
+ Configuring VNET FAILED
Starting dhclient.
chroot
exiting.
/etc/rc.d/dhclient: WARNING: failed to start dhclient
 
Top